<article>
  <fieldset>
    <qtb-hero-image title="About You"></qtb-hero-image>
    <mat-vertical-stepper
      [linear]="true"
      #stepper
      class="qtb__container"
    >
      <mat-step [completed]="form.valid">
        <form #form="ngForm" [class.form-submitted]="form.submitted">
            <section class="qtb__non-emma-question">
          <qtb-question-heading heading="First of all, what's your name?">
            <span
              >So I can address you by name as I help you through your
              quote.</span
            >
          </qtb-question-heading>
          <div class="responsive-form__wrapper">
            <div class="responsive-form__medium input__wrapper">
              <label for="name">
                  <span>First name</span>
                </label>
                <input
                qtbNullOnHide
                *ngIf="showInput"
                required
                id="name"
                name="firstname"
                [(ngModel)]="formModel.mainDriver.Firstname"
                type="text"
                class="form-control"
                qtbErrorMessage
                errorMessage="first name is required"
                autocomplete="off"
              />
            </div>
          </div>
                <qtb-stepper-nav></qtb-stepper-nav>
          </section>
        </form>
      </mat-step>
      <!-- <mat-step [completed]="form.valid"> -->
      <mat-step [completed]="formCarDetails.valid">
        <!-- <form #form="ngForm"> -->
        <form #formCarDetails="ngForm" [class.form-submitted]="formCarDetails.submitted">
          <section class="qtb__non-emma-question">
            <qtb-car-details></qtb-car-details>
            <qtb-stepper-nav></qtb-stepper-nav>
          </section>
        </form>
      </mat-step>
      <mat-step [completed]="formSelectCar.valid">
        <!-- <form #formVehicleDetails="ngForm"> -->
        <form #formSelectCar="ngForm">
          <section class="qtb__non-emma-question">
              <legend>
                <qtb-question-heading heading="Select your car">
                  <span>
                    Call us on <a href="tel:82024600">8202 4600</a> if you can't
                    find your vehicle
                  </span>
                </qtb-question-heading>
              </legend>

              <qtb-radiobutton [options]="options.carResults"
                qtbErrorMessage
                errorMessage="first name is required"
                [controlName]="matchedVehicleControl"
                size="n"
                >
                <ng-template #inputs let-option>
                  <input
                    qtbNullOnHide
                    [(ngModel)]="formModel.vehicle.matchedId"
                    type="radio"
                    name="vehicleMatch"
                    id="{{ option.value }}"
                    value="{{ option.value }}"
                    required
                    #matchedVehicleControl="ngModel"
                  />
                </ng-template>
              </qtb-radiobutton>
          </section>
          
          <qtb-stepper-nav
          nextRouterLink="/qtb/car-use"
          [form]="formSelectCar"
          nextText="Complete General Info"
          ></qtb-stepper-nav>
          <p>Up next: How you use your car</p>
        </form>
        </mat-step>
    </mat-vertical-stepper>
  </fieldset>
</article>

